SquadValheim is a [Valheim](https://www.valheimgame.com/) collection of mods that improve the core game of Valehim without changing it too much.

SquadValheim relies on the [BepInEx](https://github.com/BepInEx/BepInEx) mod in order for all mods to work. When you install this modpack, it will download and install all the listed mods providing you are using Thunderstore Launcher or R2modman otherwise you will need to click on each mod and manually install it. 

## Important Info

This modpack has removed and added several things since its original release, it is recommended you unistall all the mods and reinstall the modpack fresh to ensure the best stability and performance. (Easiest way if in Mod Manager is to unistall BepInEx first and then removing any remaining mods, saves having to unistall indiviually)

Mod | Keybinds | Description
:------ | :------ | :------
[Valheim Raft](https://valheim.thunderstore.io/package/Valkria/ValheimRAFT/) | Space (While on Raft Steering Wheel) | Lifts Anchor (Unlocks Controls)
[Valheim Raft](https://valheim.thunderstore.io/package/Valkria/ValheimRAFT/) | Left Shifts (While on Raft Steering Wheel) | Lowers Anchor (Locks Controls)
[Veinmine](https://valheim.thunderstore.io/package/WiseHorror/Veinmine/) | Left Alt (Whilst mining) | Mines entire rock if hit twice
[Quick Ping](https://valheim.thunderstore.io/package/Atopy/QuickPing/) | T | Temp Ping
[Quick Ping](https://valheim.thunderstore.io/package/Atopy/QuickPing/) | G | Permanent Ping (Places Marker on Map)
[Item Drawers](https://valheim.thunderstore.io/package/makail/ItemDrawers/) | Use Item (Whilst looking at Item Drawer) | Sets Item for drawer and deposits any of that item from your inventory
[Item Drawers](https://valheim.thunderstore.io/package/makail/ItemDrawers/) | E (Whilst looking at Item Drawer) | Takes Stack from the drawer
[Item Drawers](https://valheim.thunderstore.io/package/makail/ItemDrawers/) | Left Alt + E (Whilst looking at Item Drawer) | Take single item from drawer
[Item Drawers](https://valheim.thunderstore.io/package/makail/ItemDrawers/) | Left Alt + E when empty (Whilst looking at Item Drawer) | Clears item from drawer
[Gizmo](https://valheim.thunderstore.io/package/ComfyMods/Gizmo/) | Hold Left Shift (Whilst Building) | Hold this key to rotate on the x-axis/plane
[Gizmo](https://valheim.thunderstore.io/package/ComfyMods/Gizmo/) | Hold Left Alt (Whilst Building) | Hold this key to rotate on the z-axis/plane
[Gizmo](https://valheim.thunderstore.io/package/ComfyMods/Gizmo/) | V (Whilst Building) | Press this key to reset the selected axis to zero rotation
[Gizmo](https://valheim.thunderstore.io/package/ComfyMods/Gizmo/) | Y (Whilst Building) | Press this key to reset all axis rotations to zero rotation
[Gizmo](https://valheim.thunderstore.io/package/ComfyMods/Gizmo/) | Back Quote (Whilst Building) | Press this key to toggle rotation modes
[Gizmo](https://valheim.thunderstore.io/package/ComfyMods/Gizmo/) | Page Up (Whilst Building) | Increase snap divisions (more rotations)
[Gizmo](https://valheim.thunderstore.io/package/ComfyMods/Gizmo/) | Page Down (Whilst Building) | Decrease snap divisions (less rotations)

## Features

For this pack to work properly on a server you must have the same modlist on the server side and client side. This pack is designed to improve Valheim's current game without ruining the core of the game, most of these mods provide a small changes to Valheim and make it more fun and enjoyable as well as improving quality of life. This modpack is compatible with the lastest Mistlands updated and more adds will be added once they are compatible.

Feature | Description
:------ | :------
[Jotunn](https://valheim.thunderstore.io/package/ValheimModding/Jotunn/) | Modding Libary - Dependency for most mods in this pack
[Valheim Plus](https://valheim.thunderstore.io/package/ValheimPlus/ValheimPlus/) | Adds a bunch of QOL features
[Better UI Reforged](https://valheim.thunderstore.io/package/thedefside/BetterUI_Reforged/) | Provides a lot of HUD changes that are QOL related
[Valheim Raft](https://valheim.thunderstore.io/package/Valkria/ValheimRAFT/) | Allows you to build your own ships using the standard building mechanics
[Epic MMO System](https://valheim.thunderstore.io/package/WackyMole/WackyEpicMMOSystem/) | Adds an MMORPG based leveling system with grouping and creature levels
[Groups](https://valheim.thunderstore.io/package/Smoothbrain/Groups/) | Allows a partying/friend system for Epic MMO System
[Epic Valheim Additions](https://valheim.thunderstore.io/package/Huntardys/EpicValheimsAdditions/) | Adds reasons to visit the Ashlands/Deepnorth including ores and bosses
[JTV Biomes](https://valheim.thunderstore.io/package/thedefside/jtv_biomes/) | Adds some vegation/rocks to Ashlands/Deepnorth to make it semi-interesting
[JewelCraft](https://valheim.thunderstore.io/package/Smoothbrain/Jewelcrafting/) | Adds a risk/socket system - Find Gemstone, risk crafting them for gems that provide various benefits, world bosses and more
[Build It](https://valheim.thunderstore.io/package/OdinPlus/BuildIt/) | Adds a new hammer that allows you to build over 200 new options such as Drawbridges
[Triple Bronze JVL](https://valheim.thunderstore.io/package/OdinPlus/TripleBronzeJVL/) | Triples the amount of bronze you get from each craft to make more sense as well as remove some of the grind
[Better Archery](https://valheim.thunderstore.io/package/ishid4/BetterArchery/) | Improves the Bow + Adds Quiver
[SpeedyPaths](https://valheim.thunderstore.io/package/Nextek/SpeedyPaths/) | Gives more purpose to creating paths
[Instant Monster Loot Drop](https://valheim.thunderstore.io/package/Nexus/InstantMonsterLootDrop/) | Animals immediately explode once killed and drop their loot
[Heightmap Unlimited Remake](https://valheim.thunderstore.io/package/OdinPlus/Heightmap_Unlimited_Remake/) | Allows you to raise or the lower the terrain to whatever you desire
[Evasion Skill](https://valheim.thunderstore.io/package/Smoothbrain/Evasion/) | Skill for dodging
[Mining Skill](https://valheim.thunderstore.io/package/Smoothbrain/Mining/) | Skill for mining
[Lumberjack Skill](https://valheim.thunderstore.io/package/Smoothbrain/Lumberjacking/) | Replaces the default wood cutting skill
[Sailing Skill](https://valheim.thunderstore.io/package/Smoothbrain/Sailing/) | Skill for sailing
[Farming Skill](https://valheim.thunderstore.io/package/Smoothbrain/Farming/) | Skill for farming
[Solid Hitboxes](https://valheim.thunderstore.io/package/Korppis/SolidHitboxes/) | Better Hitboxes for AI
[First Person](https://valheim.thunderstore.io/package/RoundStone/RoundStoneScrollFirstPerson/) | Adds a first person camera to the game
[Simple Recyling](https://valheim.thunderstore.io/package/remmiz/SimpleRecycling_Fixed/) | Allows to you to recycle items you have crafted for 50% of the original cost
[Quick Deposit](https://valheim.thunderstore.io/package/MaGic/Quick_Deposit/) | Adds a quick deposit item if you already have an item in the chest
[Gizmo](https://valheim.thunderstore.io/package/ComfyMods/Gizmo/) | Allows rotation on the X, Y and Z, also allows you to change how many snap divisions you can do. Default is double Vanilla
[Potion Plus](https://valheim.thunderstore.io/package/OdinPlus/PotionPlus/) | Adds a variety of potions to the game, along with alchemy related crafting benches
[Odin Steelworks](https://valheim.thunderstore.io/package/OdinPlus/OdinsSteelworks/) | There is now a steel age! It also adds 120 weapons to the game!
[Craftable Chain](https://valheim.thunderstore.io/package/RaistlinOtherStuff/CraftableChainReuploadFromNexus/) | Allows you to craft Chains using Iron (Makes them way more obtainable)
[Honey Plus](https://valheim.thunderstore.io/package/OhhLoz/HoneyPlus/) | New foods related to honey, finally having more use for all that honey building up
[Target Portal](https://valheim.thunderstore.io/package/Smoothbrain/TargetPortal/) | Allows you to just click the portal on the map rather than assigning a tag (Providing you've been given access to the Portal!)
[Bone Appetit](https://valheim.thunderstore.io/package/RockerKitten/BoneAppetit/) | New food and cooking stations
[Valharvest](https://valheim.thunderstore.io/package/Frenvius/Valharvest/) | Even more foods and plants - Extension of Bone Appetit
[Plant Everything](https://valheim.thunderstore.io/package/Advize/PlantEverything/) | Allows you to plant anything and farm!
[More Gates](https://valheim.thunderstore.io/package/RagnarokHCRP/MoreGates/) | Lots more options for gates and doors
[Valweed](https://valheim.thunderstore.io/package/dannypacquiao/Valweed/) | Now you smoke that good stuff in Valheim!
[Teleport Everything](https://valheim.thunderstore.io/package/OdinPlus/TeleportEverything/) | Allows you to teleport allies, ores and enemies!
[Item Drawers](https://valheim.thunderstore.io/package/makail/ItemDrawers/) | Adds a new type of chest that allows you to store 9999 of any item, makes sorting so much easier!
[Build Restrictions Tweaks](https://valheim.thunderstore.io/package/cdymrtn/BuildRestrictionTweaks/) | Allows you to build in dungeons, spawn etc!
[Fast Teleport](https://valheim.thunderstore.io/package/GemHunter1/FastTeleport/) | Cuts down time on Teleporting
[Veinmine](https://valheim.thunderstore.io/package/WiseHorror/Veinmine/) | Mines entire rocks
[Missing Pieces](https://valheim.thunderstore.io/package/BentoG/MissingPieces/) | Adds several missing pieces to Vanilla valhiem structures to make it easier to build
[Creature Level And Loot Control](https://valheim.thunderstore.io/package/Smoothbrain/CreatureLevelAndLootControl/) | Difficult :D
[QuickPing](https://valheim.thunderstore.io/package/Atopy/QuickPing/) | Adds more useful pinging abilities

## Installation

Download this Pack by downloading [Thunderstore Mod Manager](https://www.overwolf.com/app/Thunderstore-Thunderstore_Mod_Manager) and then clicking "Install with Mod Manager" and wait a few minutes until you see 42 mods installed.

Please do not try to install this pack manualy unless you know what you're doing.

Alternatively you can use [r2modman](https://valheim.thunderstore.io/package/ebkr/r2modman/) to install the pack with dependencies

## Known Issues

Valheim Raft:
When multiple vikings take turns steering the raft, the anchor can get stuck. Solution is for anyone who has steered to walk off the raft and board it again.

## Compatability

All mods are compatabile with the latest Valheim patch however Valhiem updates may break some of these mods in the future.

## Change Log

Version Number | Change(s)
:------ | :------
v1.0.0 | Released
v1.0.1 | Removed MoreDefences and added 8 new mods
v1.0.2 | Added 4 new mods
V1.0.3 | Removed FishFix as latest PTB update fixed it
v1.0.4 | Removed BetterNetworing as not working
v1.0.5 | Removed FasterTeleport as not working/deprecated - Added Valharvest + BoneAppetit
v1.0.6 | Updated for Mistlands Public Released - Added 11 new mods - Removed 2
v1.0.7 | Add SoulCatcher for JewelCrafting
v1.0.8 | Added OdinsSteelworks
v1.1.0 | Config for EpicMMO
v1.1.1 | Removed a bunch of mods that weren't really used all that much/didn't provide enough of a better experience + Added BetterUI with pre-made config that works with EpicMMO/JewelCraft
v1.1.2 | Removed UseEquipmentInWater, FloatingItems and Automation - Added ValheimPlus (Adds back those removed mods)
v1.1.3 | Forgot to include JTV Biomes with Mistlands option disabled
v1.1.4 | Weed + Mod Updates + Updated Readme
v1.1.5 | Mods updates + Config updates for JewelCraft/Valhiem+
v1.1.6 | Added Teleport Everything with preconfigured config
v1.1.7 | Removed Soulcatcher + Added ItemDrawers and BuildRestrictions
v1.1.8 | Added AutoFeed, Removed QuickPing (Conflcit with ItemDrawers plus didn't display chats above heads properly. Also annoying when typing that it pings) + Updated Configs
v1.1.9 | Removed AttoArrowsJVL, Added BetterArchery - Updated Configs/Updated Mods manifest
v.1.2.0 | Added FastTeleport, Veinmine and MissingPieces
v1.2.1 | Removed BetterTrader - Not working
v1.2.2 | Added CreatureLevelAndLootControl
v1.2.4 | Readded QuickPing (Bugs fixed) + Updated Configs/Mods


